/*****************************************************************************
 * Copyright 2016-2017 Karolin Stange, Christoph Wick, and Haye Hinrichsen
 *
 * This file is part of JustIntonation.
 *
 * JustIntonation is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or (at your
 * option) any later version.
 *
 * JustIntonation is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License 
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along 
 * with JustIntonation. If not, see http://www.gnu.org/licenses/.
 *****************************************************************************/

//=============================================================================
//                         Namespace System Tools
//=============================================================================

#ifndef SYSTEMTOOLS_H
#define SYSTEMTOOLS_H

///////////////////////////////////////////////////////////////////////////////
/// \brief Namespace System Tools
/// \details This namespace contains various global functions related to the
/// system management.
///////////////////////////////////////////////////////////////////////////////

namespace SystemTools
{

QString getThreadName();
void setThreadName(QString threadname);


} // of namespace

#endif // SYSTEMTOOLS_H
