@echo off
echo Publish Windows
echo ===============

rem ======================================================================
set QTBIN=C:\Qt\5.8\msvc2015_64\bin
set QMLDIR=C:\git\JustIntonation\application\resources\qml
set BUILDPATH=C:\build
set DESKTOPRELEASEPATH=%BUILDPATH%\justintonation-Desktop_Qt_5_8_0_MSVC2015_64bit-Release\application\release
set SOURCEPATH=C:\git\JustIntonation
set FRAMEWORK=C:\Qt\Tools\QtInstallerFramework\2.0\bin
rem set KITPATH=C:\Program Files (x86)\Windows Kits\8.1\bin\x64
rem C:\Program Files (x86)\Windows Kits\10\bin\x64\uuidgen
set MAKEAPPX=%KITPATH%\makeappx.exe
set SIGNTOOL=%KITPATH%\signtool.exe
set TARGETURL='u81468700@s582786137.online.de:justintonation/download/Resources/Public/Downloads'
rem ======================================================================


rem PATH=%KITPATH%;%DLLPATH%;%PATH%

rem cd c:\git\JustIntonation2
rem PATH=C:\Qt\5.7\winrt_x64_msvc2015\bin;%PATH%
rem qmake -tp vc justintonation.pro "CONFIG=windwployqt"

rem cd %SOURCEPATH%
rem %DLLPATH%\qmake.exe -t vcapp 
rem cd publish\scripts


rem ======================================================================
echo.
echo Now deploying for Windows desktop:
%QTBIN%\windeployqt --force --no-compiler-runtime --qmldir %QMLDIR% %DESKTOPRELEASEPATH%
echo.
rem ======================================================================
pause

rem ======================================================================
echo.
echo Delete old installer directory if existent
rd /q /s %BUILDPATH%\installer
rem ======================================================================
pause

rem ======================================================================
echo.
echo Create a new installer directory and copy the default installer tree
md %BUILDPATH%\installer
xcopy /s /i %SOURCEPATH%\publish\installer %BUILDPATH%\installer
rem ======================================================================
pause

rem ======================================================================
echo.
echo Copy the release to the data section of the installer
set INSTALLERDATA=%BUILDPATH%\installer\packages\org.justintonation.app\data
xcopy /s /i %DESKTOPRELEASEPATH% %INSTALLERDATA%
rem ======================================================================
pause

rem ======================================================================
rem echo.
rem echo Copy MINGW libraries
rem copy %DLLPATH%\libstdc++*.dll %INSTALLERDATA%
rem copy %DLLPATH%\libgcc*.dll %INSTALLERDATA%
rem copy %DLLPATH%\libwinpthread*.dll %INSTALLERDATA%
rem ======================================================================
pause

rem ======================================================================
echo.
echo Create offline installer, takes a while...
%FRAMEWORK%\binarycreator --offline-only -c %BUILDPATH%\installer\config\config.xml -p %BUILDPATH%\installer\packages %BUILDPATH%\JustIntonation-Setup
rem ======================================================================


echo Open Git Bash Shell:
echo.
echo cd /c/git
echo bash copy-Installer.sh

echo.

exit /b

