# Script to build the release version of the project under Linux
#
# Arguments:
# $1: path to qmake 
# $2: Project directory
# $3: Release directory 
# $4: Path to make
#
echo
echo Rebuild project:
echo ===============
echo "Qt path:      "$1
echo "Project path: "$2
echo "Release path: "$3
echo "Make path:    "$4
echo
echo 1. Remove old build
mkdir -p $3
echo rm -f -r $3\\application
echo rm -f $3\\Makefile
echo 2. Run qmake
echo cd $3
cd $3
echo $1\\bin\\qmake.exe $2\\justintonation.pro -r -spec win32-g++
$1\\bin\\qmake.exe $2\\justintonation.pro -r -spec win32-g++
echo 4. Run make
echo $4\\mingw32-make.exe -j8 
$4\\mingw32-make.exe -j8 
echo 5. Run make clean
mingw32-make clean
echo END
