#!/bin/bash
#
TARGETURL='u81468700@s582786137.online.de:justintonation/doxygen/'

echo
echo "Publish doxygen on the server"
echo
# determine path of this script
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
DOXYFILELOCATION=$DIR/../doxygen
DOXYDESTINATION=$DIR/../../../documentation/doxygen
echo
echo "Doxygen source: $DOXYFILELOCATION"
echo "Doxygen target: $DOXYDESTINATION"
echo
echo "Calling doxygen:"
cd $DOXYFILELOCATION
echo
rm $DOXYDESTINATION/html/*
doxygen doxyfile  > /dev/null
echo
echo
cd $DOXYDESTINATION
ls
rsync -e "ssh" -avuz --delete html/. $TARGETURL 
echo
echo finished
echo
